Get a committee
One committee: members, workload, items waiting longest, meetings.
GET https://www.chicagopolitics.org/api/v1/committees/{slug}
Authorizations
| Header | Value |
|---|---|
Authorization | Bearer <key>. Get a key; see authentication. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
slug | string | yes | e.g. finance, zoning-landmarks-and-building-standards |
Response
200 Committee
| Field | Type | Description |
|---|---|---|
slug | string | |
name | string | |
description | string | null | |
members | object[] | |
stats | object | |
waitingLongest | object[] | |
upcomingMeetings | object[] | |
recentMeetings | object[] | |
links | object |
Example request
curl "https://www.chicagopolitics.org/api/v1/committees/{slug}" \
-H "Authorization: Bearer $CHICAGO_POLITICS_KEY"
Errors: 400, 401, 404, 429 (see errors).